%define upstream_name    CPANPLUS-Dist-Mdv
%define upstream_version 2.100400

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    A cpanplus backend to build mandriva rpms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     use-new-build-macros.patch

BuildRequires:  perl(CPANPLUS)
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::POM)
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Test::Script)
BuildRequires:  perl(YAML)
BuildRequires:  perl(version)

Buildarch:      noarch


%description
CPANPLUS::Dist::Mdv is a distribution class to create mandriva packages from
CPAN modules, and all its dependencies. This allows you to have the most recent
copies of CPAN modules installed, using your package manager of choice, but
without having to wait for central repositories to be updated.

You can either install them using the API provided in this package, or manually
via rpm.

Some of the bleeding-edge CPAN modules have already been turned into Mageia
packages for you, and you can make use of them by adding the cooker
repositories (main & contrib).

Note that these packages are built automatically from CPAN and are assumed to
have the same license as perl and come without support. Please always refer to
the original CPAN package if you have questions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%autopatch -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files 
%doc Changes README META.yml
%{perl_vendorlib}/CPANPLUS
%{perl_vendorlib}/auto
%{_mandir}/*/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.100.400-13.mga9
+ Revision: 1818761
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.100.400-12.mga8
+ Revision: 1503502
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.100.400-11.mga7
+ Revision: 1281880
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.100.400-10.mga7
+ Revision: 1163586
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 2.100.400-9.mga7
+ Revision: 1159277
- patch 0: use new build macros

* Sat Jun 18 2016 pterjan <pterjan> 2.100.400-8.mga6
+ Revision: 1024489
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.100.400-7.mga6
+ Revision: 948495
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 2.100.400-6.mga5
+ Revision: 787913
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.100.400-5.mga5
+ Revision: 741130
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.100.400-4.mga5
+ Revision: 683702
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.100.400-3.mga4
+ Revision: 509571
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.100.400-2.mga3
+ Revision: 363713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 2.100.400-1.mga1
+ Revision: 41007
- mageia rebuild
- imported package perl-CPANPLUS-Dist-Mdv


* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 2.100.400-1mdv2010.1
+ Revision: 503766
- adding missing buildrequires:
- update to 2.100400

* Sun Nov 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.93.311-1mdv2010.1
+ Revision: 471047
- update to 2.093311

* Tue Jul 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdv2010.0
+ Revision: 393195
- new version

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-1mdv2010.0
+ Revision: 392789
- new version

* Sun May 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-1mdv2010.0
+ Revision: 379210
- update to new version 1.1.0

* Mon Feb 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 336359
- update to new version 1.0.0

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 302820
- update to new version 0.3.9

* Mon Nov 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 301688
- new version

* Sun Nov 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.7-2mdv2009.1
+ Revision: 301465
- patch 0: force US format date in changelog
  patch 1: enforce mandriva summary format policy

* Sun Aug 10 2008 Jérôme Quelin <jquelin@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 270313
- update to new version 0.3.7

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.3.6-2mdv2009.0
+ Revision: 268377
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Jérôme Quelin <jquelin@mandriva.org> 0.3.6-1mdv2009.0
+ Revision: 218051
- update to new version 0.3.6

* Mon Feb 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.5-1mdv2008.1
+ Revision: 165058
- update to new version 0.3.5

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 138004
- update to new version 0.3.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.3-1mdv2008.1
+ Revision: 113422
- update to new version 0.3.3
- update to new version 0.3.3

* Wed Nov 14 2007 Jérôme Quelin <jquelin@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 108635
- added new prereq
- update to new version 0.3.2

* Sun Nov 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.0-1mdv2008.1
+ Revision: 108015
- update to new version 0.3.0
- update to new version 0.3.0

* Thu Nov 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.2-1mdv2008.1
+ Revision: 106875
- update to new version 0.2.2

* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-1mdv2008.1
+ Revision: 106549
- new version

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.3-1mdv2008.1
+ Revision: 105821
- import perl-CPANPLUS-Dist-Mdv


* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.3-1mdv2008.1
- first mdv release 
